Bug 7936 - general ticket for help file updates
Summary: general ticket for help file updates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nicole C. Engard
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-09 19:20 UTC by Nicole C. Engard
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7936: 3.8 Help Files (2.68 KB, patch)
2012-04-09 19:30 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Help file for Lists (2.87 KB, patch)
2012-04-09 19:37 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Cataloging Help Files (4.41 KB, patch)
2012-04-09 19:43 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Tools Help for 3.8 (33.82 KB, patch)
2012-04-10 16:01 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Tags help file (1.77 KB, patch)
2012-04-10 18:56 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Marc Export Help File (1.63 KB, patch)
2012-04-10 18:58 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Authorities Help Files (4.68 KB, patch)
2012-04-10 19:01 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Suggestion help file (5.83 KB, patch)
2012-04-10 19:14 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Comments Moderation Help File (1.92 KB, patch)
2012-04-10 19:47 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: 3.8 Help Files (2.74 KB, patch)
2012-04-11 01:46 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Help file for Lists (2.92 KB, patch)
2012-04-11 01:48 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Cataloging Help Files (4.46 KB, patch)
2012-04-11 01:51 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Tools Help for 3.8 (33.88 KB, patch)
2012-04-11 01:51 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Tags help file (1.83 KB, patch)
2012-04-11 01:52 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Marc Export Help File (1.68 KB, patch)
2012-04-11 01:53 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Authorities Help Files (4.73 KB, patch)
2012-04-11 01:54 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Suggestion help file (5.89 KB, patch)
2012-04-11 01:55 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Comments Moderation Help File (1.98 KB, patch)
2012-04-11 01:56 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Holds Help File for 3.8 (7.51 KB, patch)
2012-04-11 14:47 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Circ Help Files (31.51 KB, patch)
2012-04-11 15:40 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Label Help Files (12.35 KB, patch)
2012-04-11 16:02 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Patron Card Help Files (7.06 KB, patch)
2012-04-11 16:06 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Catalogue Help Files (6.13 KB, patch)
2012-04-11 18:29 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Holds Help File for 3.8 (7.56 KB, patch)
2012-04-12 09:26 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Circ Help Files (31.56 KB, patch)
2012-04-12 09:28 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Label Help Files (12.40 KB, patch)
2012-04-12 09:30 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Patron Card Help Files (7.11 KB, patch)
2012-04-12 09:34 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Catalogue Help Files (6.19 KB, patch)
2012-04-12 09:35 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7936: Patron Help Files (32.79 KB, patch)
2012-04-12 19:59 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Reports Help Files for 3.8 (23.13 KB, patch)
2012-04-13 13:14 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Acq Help Files for 3.8 (29.79 KB, patch)
2012-04-13 15:13 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Admin Help files for 3.8 (84.65 KB, patch)
2012-04-13 15:57 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Offline Circ Help for 3.8 (6.48 KB, patch)
2012-04-13 17:57 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Help for Serials in 3.8 (155.72 KB, patch)
2012-04-13 17:59 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Offline Circ Help (1.63 KB, patch)
2012-04-13 18:02 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Serials Help for 3.8 (7.84 KB, patch)
2012-04-13 18:03 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7936: Acq Help Files for 3.8 (29.85 KB, patch)
2012-06-05 19:19 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7936: Admin Help files for 3.8 (84.71 KB, patch)
2012-06-05 19:19 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7936: Offline Circ Help (1.69 KB, patch)
2012-06-05 19:19 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7936: Serials Help for 3.8 (7.89 KB, patch)
2012-06-05 19:20 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7936: Acq Help Files for 3.8 (30.01 KB, patch)
2012-06-05 21:42 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7936: Admin Help files for 3.8 (85.12 KB, patch)
2012-06-05 21:42 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7936: Admin Help files for 3.8 (85.12 KB, patch)
2012-06-05 21:43 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7936: Offline Circ Help (1.79 KB, patch)
2012-06-05 21:43 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7936: Serials Help for 3.8 (8.00 KB, patch)
2012-06-05 21:43 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7936 followup: Copyedited Acquisitions help files (37.69 KB, patch)
2012-06-05 21:44 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7936 followup: Copyedited Offline Circ help files (1.89 KB, patch)
2012-06-05 21:44 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7936 followup: Copyediting Help Files (33.75 KB, patch)
2012-06-06 21:27 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-04-09 19:20:18 UTC
This is where I will put all of the patches to the 3.8 help files.
Comment 1 Nicole C. Engard 2012-04-09 19:30:26 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2012-04-09 19:37:59 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2012-04-09 19:43:16 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2012-04-10 16:01:24 UTC Comment hidden (obsolete)
Comment 5 Nicole C. Engard 2012-04-10 18:56:05 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2012-04-10 18:58:28 UTC Comment hidden (obsolete)
Comment 7 Nicole C. Engard 2012-04-10 19:01:50 UTC Comment hidden (obsolete)
Comment 8 Nicole C. Engard 2012-04-10 19:14:17 UTC Comment hidden (obsolete)
Comment 9 Nicole C. Engard 2012-04-10 19:47:03 UTC Comment hidden (obsolete)
Comment 10 Chris Cormack 2012-04-11 01:46:49 UTC Comment hidden (obsolete)
Comment 11 Chris Cormack 2012-04-11 01:48:22 UTC Comment hidden (obsolete)
Comment 12 Chris Cormack 2012-04-11 01:51:13 UTC Comment hidden (obsolete)
Comment 13 Chris Cormack 2012-04-11 01:51:58 UTC Comment hidden (obsolete)
Comment 14 Chris Cormack 2012-04-11 01:52:50 UTC Comment hidden (obsolete)
Comment 15 Chris Cormack 2012-04-11 01:53:56 UTC Comment hidden (obsolete)
Comment 16 Chris Cormack 2012-04-11 01:54:38 UTC Comment hidden (obsolete)
Comment 17 Chris Cormack 2012-04-11 01:55:17 UTC Comment hidden (obsolete)
Comment 18 Chris Cormack 2012-04-11 01:56:11 UTC Comment hidden (obsolete)
Comment 19 Nicole C. Engard 2012-04-11 14:47:52 UTC Comment hidden (obsolete)
Comment 20 Nicole C. Engard 2012-04-11 15:02:10 UTC
Thanks Chris!! More help files coming :)
Comment 21 Nicole C. Engard 2012-04-11 15:40:11 UTC Comment hidden (obsolete)
Comment 22 Nicole C. Engard 2012-04-11 16:02:53 UTC Comment hidden (obsolete)
Comment 23 Nicole C. Engard 2012-04-11 16:06:06 UTC Comment hidden (obsolete)
Comment 24 Nicole C. Engard 2012-04-11 18:29:48 UTC Comment hidden (obsolete)
Comment 25 Chris Cormack 2012-04-12 09:26:34 UTC Comment hidden (obsolete)
Comment 26 Chris Cormack 2012-04-12 09:28:00 UTC Comment hidden (obsolete)
Comment 27 Chris Cormack 2012-04-12 09:30:06 UTC Comment hidden (obsolete)
Comment 28 Chris Cormack 2012-04-12 09:34:39 UTC Comment hidden (obsolete)
Comment 29 Chris Cormack 2012-04-12 09:35:37 UTC Comment hidden (obsolete)
Comment 30 Nicole C. Engard 2012-04-12 19:59:21 UTC Comment hidden (obsolete)
Comment 31 Nicole C. Engard 2012-04-13 13:14:27 UTC Comment hidden (obsolete)
Comment 32 Paul Poulain 2012-04-13 14:12:10 UTC
QA comments:
1- those patches are related to online help only, I think it's acceptable to have online help not completely translated
2- they fix some online help files and add new ones, (for new features, like picture uploading)
3- they update links from 3.6 to 3.8, which is needed
4- they shouldn't be applied after string freeze

Because of 1 and 3 I pass QA those patches and will push them now

* Nicole: small QA comment:
 - You use "branch" sometimes. if i'm not wrong we now use only "library"
Comment 33 Katrin Fischer 2012-04-13 14:44:16 UTC
Hi Paul and Nicole, 

I agree that those patches should be pushed now - but I hope we can avoid to have the same situation for the next release. Perhaps we need a separate documentation freeze date? What needs to be done so string freeze and updating help files don't collide?

Translating in general and especially translating the help files is not much fun. I filed bug 7934 to perhaps make it a bit easier.

I think at the moment Nicole copies contents from the online manual into the help files. So perhaps we should also investigate options to better integrate the docbook manual with the contextual help in Koha?
Comment 34 Nicole C. Engard 2012-04-13 14:55:17 UTC
Paul,

Thanks for pushing - I have a few more patches coming today. 

Regarding the word 'branch' I'll update that later, right now I want to make sure that the help files are helpful :)

Which of the above patches were pushed?  

Katrin,

I'm all for integrating the manual in to Koha help files! But until that's done I'm one person doing the entire manual and all the help files. It's a lot of work and sometimes I just can't get all the new features documented in time which is why we're where we are now.  So, I'm up for any suggestions that will make this easier and get the files in on time.

Now I'm heading out to continue working on these help files.

Nicole
Comment 35 Paul Poulain 2012-04-13 14:59:01 UTC
(In reply to comment #34)

> Which of the above patches were pushed?  
all ! (that's why i've set "pushed to master", otherwise I had obsoleted only those that have been pushed)
Comment 36 Nicole C. Engard 2012-04-13 15:13:27 UTC Comment hidden (obsolete)
Comment 37 Nicole C. Engard 2012-04-13 15:18:00 UTC
Comment on attachment 9098 [details] [review]
Bug 7936: 3.8 Help Files

pushed
Comment 38 Nicole C. Engard 2012-04-13 15:18:18 UTC
Comment on attachment 9099 [details] [review]
Bug 7936: Help file for Lists

pushed
Comment 39 Nicole C. Engard 2012-04-13 15:18:34 UTC
Comment on attachment 9100 [details] [review]
Bug 7936: Cataloging Help Files

pushed
Comment 40 Nicole C. Engard 2012-04-13 15:18:51 UTC
Comment on attachment 9101 [details] [review]
Bug 7936: Tools Help for 3.8

pushed
Comment 41 Nicole C. Engard 2012-04-13 15:19:09 UTC
Comment on attachment 9102 [details] [review]
Bug 7936: Tags help file

pushed
Comment 42 Nicole C. Engard 2012-04-13 15:19:26 UTC
Comment on attachment 9103 [details] [review]
Bug 7936: Marc Export Help File

pushed
Comment 43 Nicole C. Engard 2012-04-13 15:19:40 UTC
Comment on attachment 9104 [details] [review]
Bug 7936: Authorities Help Files

pushed
Comment 44 Nicole C. Engard 2012-04-13 15:19:58 UTC
Comment on attachment 9105 [details] [review]
Bug 7936: Suggestion help file

pushed
Comment 45 Nicole C. Engard 2012-04-13 15:20:14 UTC
Comment on attachment 9106 [details] [review]
Bug 7936: Comments Moderation Help File

pushed
Comment 46 Nicole C. Engard 2012-04-13 15:20:32 UTC
Comment on attachment 9136 [details] [review]
Bug 7936: Holds Help File for 3.8

pushed
Comment 47 Nicole C. Engard 2012-04-13 15:20:48 UTC
Comment on attachment 9137 [details] [review]
Bug 7936: Circ Help Files

pushed
Comment 48 Nicole C. Engard 2012-04-13 15:21:44 UTC
Comment on attachment 9138 [details] [review]
Bug 7936: Label Help Files

pushed
Comment 49 Nicole C. Engard 2012-04-13 15:21:57 UTC
Comment on attachment 9139 [details] [review]
Bug 7936: Patron Card Help Files

pushed
Comment 50 Nicole C. Engard 2012-04-13 15:22:10 UTC
Comment on attachment 9140 [details] [review]
Bug 7936: Catalogue Help Files

pushed
Comment 51 Nicole C. Engard 2012-04-13 15:22:27 UTC
Comment on attachment 9158 [details] [review]
Bug 7936: Patron Help Files

pushed
Comment 52 Nicole C. Engard 2012-04-13 15:22:42 UTC
Comment on attachment 9177 [details] [review]
Bug 7936: Reports Help Files for 3.8

pushed
Comment 53 Nicole C. Engard 2012-04-13 15:57:55 UTC Comment hidden (obsolete)
Comment 54 Nicole C. Engard 2012-04-13 17:57:02 UTC Comment hidden (obsolete)
Comment 55 Nicole C. Engard 2012-04-13 17:59:00 UTC Comment hidden (obsolete)
Comment 56 Nicole C. Engard 2012-04-13 18:00:32 UTC
Comment on attachment 9184 [details] [review]
Bug 7936: Offline Circ Help for 3.8

Wrong file!
Comment 57 Nicole C. Engard 2012-04-13 18:00:47 UTC
Comment on attachment 9185 [details] [review]
Bug 7936: Help for Serials in 3.8

Wrong file!
Comment 58 Nicole C. Engard 2012-04-13 18:02:24 UTC Comment hidden (obsolete)
Comment 59 Nicole C. Engard 2012-04-13 18:03:21 UTC Comment hidden (obsolete)
Comment 60 Paul Poulain 2012-04-19 16:33:05 UTC
Nicole, why did you do changes like this one:
-<h2>Printing baskets</h2>
+<h2>Printing Baskets</h2>

Aren't they breaking the rule saying we will UCfirst ?

You didn't have made this kind of changes in previous patches i've pushed, so I'd like to understand...
Comment 61 Nicole C. Engard 2012-04-19 16:49:18 UTC
Paul,

I copied from the manual, added HTML around it and submitted. I was in a rush and did not pay attention to capitalization rules. 

Nicole
Comment 62 Jared Camins-Esakov 2012-06-05 19:19:05 UTC Comment hidden (obsolete)
Comment 63 Jared Camins-Esakov 2012-06-05 19:19:29 UTC Comment hidden (obsolete)
Comment 64 Jared Camins-Esakov 2012-06-05 19:19:46 UTC Comment hidden (obsolete)
Comment 65 Jared Camins-Esakov 2012-06-05 19:20:06 UTC Comment hidden (obsolete)
Comment 66 Jared Camins-Esakov 2012-06-05 19:20:56 UTC
Signed off by Shari Perkins, uploaded by Jared Camins-Esakov
Comment 67 Jared Camins-Esakov 2012-06-05 21:42:44 UTC Comment hidden (obsolete)
Comment 68 Jared Camins-Esakov 2012-06-05 21:42:56 UTC Comment hidden (obsolete)
Comment 69 Jared Camins-Esakov 2012-06-05 21:43:13 UTC Comment hidden (obsolete)
Comment 70 Jared Camins-Esakov 2012-06-05 21:43:22 UTC Comment hidden (obsolete)
Comment 71 Jared Camins-Esakov 2012-06-05 21:43:31 UTC Comment hidden (obsolete)
Comment 72 Jared Camins-Esakov 2012-06-05 21:44:12 UTC Comment hidden (obsolete)
Comment 73 Jared Camins-Esakov 2012-06-05 21:44:22 UTC Comment hidden (obsolete)
Comment 74 Jared Camins-Esakov 2012-06-05 21:45:28 UTC
All attached patches have been signed off. Followups were written by Shari Perkins, signed off and uploaded by jcamins.
Comment 75 Nicole C. Engard 2012-06-06 15:12:10 UTC
Can you please submit these as patches to the manual as well? Otherwise in 3.10 the help files will lose these updates because the help files come right from the manual.

Thanks
Nicole
Comment 76 Jared Camins-Esakov 2012-06-06 21:27:40 UTC Comment hidden (obsolete)
Comment 77 Paul Poulain 2012-06-10 08:42:06 UTC
QA comment: all patches passes valid_templates.t and translatable_templates.t, passed QA.
Will push & obsolet each patch now, switching to assigned for missing help files